#source ~/.config/idle.conf
general {
    lock_cmd = pidof hyprlock || hyprlock       # avoid starting multiple hyprlock instances.
    before_sleep_cmd = loginctl lock-session    # lock before suspend.
    after_sleep_cmd = systemctl restart fprintd.service ;; hyprctl dispatch dpms on  # to avoid having to press a key twice to turn on the display.

}
listener {
    timeout = 120
    on-timeout = loginctl lock-session # lock screen when timeout has passed
}

listener {
    timeout = 600 #10min
    on-timeout = systemctl suspend-then-hibernate # suspend pc
}


#listener {
#    timeout = 18000 #5h
#    on-timeout = /usr/bin/reboot #reboot
#}
